Download it now!
Bug 134260 - FILEOPEN: DOCX: numbering list has no indent
Summary: FILEOPEN: DOCX: numbering list has no indent
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.2 target:6.4.6
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-06-23 11:38 UTC by Xisco Faulí
Modified: 2020-07-13 09:53 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.1 master (466.56 KB, image/png)
2020-06-23 11:38 UTC, Xisco Faulí
Details
Comparison MSO 2010 and LibreOffice 7.1 master (attachment 84511) (102.30 KB, image/png)
2020-07-06 13:41 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-23 11:38:43 UTC
Created attachment 162345 [details]
Comparison MSO 2010 and LibreOffice 7.1 master

Steps:
1. Open attachment 72735 [details] from bug 54420


-> Level 2 in numbering list ha no indent. See comparison image

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-06-23 11:39:55 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d2e428d1abb9f2907c0b87d55830e8742f8209b9

author	Vasily Melenchuk <vasily.melenchuk@cib.de>	2020-05-29 14:25:04 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2020-06-05 01:11:11 +0200
commit	d2e428d1abb9f2907c0b87d55830e8742f8209b9 (patch)
tree	212a329c70a0e1377f7a5b1d15b510a96ecdc463
parent	c148ba2b18d42733587fbf169a08f9469daed8fe (diff)
tdf#83309: docx import: allow for lists tabstop at zero position

Bisected with: bibisect-linux64-7.1

Adding Cc: to Vasily Melenchuk
Comment 2 Xisco Faulí 2020-07-06 13:40:35 UTC
attachment 84511 [details] from bug 67873 is also affected
Comment 3 Xisco Faulí 2020-07-06 13:41:41 UTC
Created attachment 162711 [details]
Comparison MSO 2010 and LibreOffice 7.1 master (attachment 84511 [details])
Comment 4 Commit Notification 2020-07-07 12:13:13 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7221994b9b29659d3290e95eee92b1a3f80c2b7e

tdf#134260: docx import: allow default value for list tab position

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-07-08 08:38:14 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 0695b5f5b328a1bc9cfdc8ba020dbdd674185e04
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Vasily, thanks for fixing this issue!!
Comment 6 Xisco Faulí 2020-07-08 08:39:05 UTC
OTOH, the issue with attachment 84511 [details] is still reproducible so I'll create a follow-up ticket.
Comment 7 Commit Notification 2020-07-08 08:40:27 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/54b6a6a5c95ed51ce0cd709d9fd3e477ced5ce8f

tdf#134260: docx import: allow default value for list tab position

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-08 13:03:41 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e001e8a24c71cf2bdb455acb5bf54ac685bc1df7

tdf#134260: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-09 14:49:39 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/989cdd0a5b2efa83ff0b4ca8bc2adb0b64bde1bb

tdf#134260: docx import: allow default value for list tab position

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-07-13 09:53:41 UTC
The issue reported with attachment 84511 [details] got fixed by https://git.libreoffice.org/core/commit/da91b2fd8e7c980973240340c3cdfcd473c1b233